WavFormatChunk Class Reference

`#include <WavFormatChunk.h>`

Inheritance diagram for WavFormatChunk:

## Public Member Functions

| WavFormatChunk (void)
| WavFormatChunk (WavChunkHeader *chh)
| WavFormatChunk (WavChunkHeader *chh, BinaryIO *io)
void | read (BinaryIO *io)
void | write (BinaryIO *io)
UWORD16 | getFormatTag (void) const
UWORD16 | getBitsPerSample (void) const
Public Member Functions inherited from WavChunk
| WavChunk (void)
| WavChunk (WavChunkHeader *chh)
virtual | ~WavChunk (void)

## Static Public Attributes

static const UWORD16 | FormatPCM = 0x0001

## Private Attributes

UWORD16 | FormatTag
UWORD16 | Channels
UWORD32 | SamplesPerSec
UWORD32 | AvgBytesPerSec
UWORD16 | BlockAlign
UWORD16 | BitsPerSample
UWORD16 | AdditionalSize

## Additional Inherited Members

Protected Attributes inherited from WavChunk
WavChunkHeader * | ChunkHeader

## Constructor & Destructor Documentation

## WavFormatChunk() [1/3]

WavFormatChunk::WavFormatChunk | ( | void |  | ) |

inline

## WavFormatChunk() [2/3]

WavFormatChunk::WavFormatChunk | ( | WavChunkHeader * | chh | ) |

inline

## WavFormatChunk() [3/3]

WavFormatChunk::WavFormatChunk | ( | WavChunkHeader * | chh,
|  | BinaryIO * | io )

inline

## Member Function Documentation

## getBitsPerSample()

UWORD16 WavFormatChunk::getBitsPerSample | ( | void |  | ) | const

inline

## getFormatTag()

UWORD16 WavFormatChunk::getFormatTag | ( | void |  | ) | const

inline

## read()

void WavFormatChunk::read | ( | BinaryIO * | io | ) |

virtual

Implements WavChunk.

## write()

void WavFormatChunk::write | ( | BinaryIO * | io | ) |

virtual

Reimplemented from WavChunk.

## Member Data Documentation

## AdditionalSize

UWORD16 WavFormatChunk::AdditionalSize

private

## AvgBytesPerSec

UWORD32 WavFormatChunk::AvgBytesPerSec

private

## BitsPerSample

UWORD16 WavFormatChunk::BitsPerSample

private

## BlockAlign

UWORD16 WavFormatChunk::BlockAlign

private

## Channels

UWORD16 WavFormatChunk::Channels

private

## FormatPCM

const UWORD16 WavFormatChunk::FormatPCM = 0x0001

static

## FormatTag

UWORD16 WavFormatChunk::FormatTag

private

## SamplesPerSec

UWORD32 WavFormatChunk::SamplesPerSec

private

The documentation for this class was generated from the following files:

- WavFormatChunk.h
- WavFormatChunk.cc